package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.init.Tiles;
import projectzombie.model.Model;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.layer.Layer;

public class ItemWorkbench extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_WORKBENCH;
	}
	
	@Override
	public Model getPlaceModel(ItemStack stack) {
		return Models.TILE_WORKBENCH;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Workbench";
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos)
	{
		Vec2i tpos = place_pos.toInt();
		
		if(layer.getFrontTile(tpos).tile != Tiles.VOID) {
			return false;
		}
		
		layer.setFrontTile(Tiles.WORKBENCH.getDefaultState(), tpos);
		
		stack.count -= 1;
		
		return true;
	}

}
